﻿using RecrownedAthenaeum.Pipeline.TextureAtlas;

namespace RecrownedAthenaeum.Pipeline
{
    /// <summary>
    /// Represents a data structure for 9patches.
    /// </summary>
    public class NinePatchData
    {
        /// <summary>
        /// Name of texture associated with patch. May be null in the case of being apart of a <see cref="TextureAtlasData"/>
        /// </summary>
        public string textureName;

        /// <summary>
        /// the boundaries of the patch.
        /// </summary>
        public int left, right, bottom, top;

        /// <summary>
        /// Constructs patch.
        /// </summary>
        /// <param name="textureName">Name of the texture. May be null.</param>
        /// <param name="left">Left bound.</param>
        /// <param name="right">Right bound.</param>
        /// <param name="bottom">Bottom bound.</param>
        /// <param name="Top">Top bound.</param>
        public NinePatchData(string textureName, int left, int right, int bottom, int Top)
        {
            this.textureName = textureName;
            this.left = left;
            this.right = right;
            this.bottom = bottom;
            this.top = Top;
        }
    }
}
